package com.ssi;

import com.dfssi.dataplatform.service.annotation.EnableLogAudit;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableScheduling;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * SpringBoot启动类
 */
@EnableLogAudit
@SpringBootApplication
@MapperScan("com.ssi.mapper")
@EnableSwagger2
@EnableCaching
@EnableScheduling
public class SSIApplication {

  public static void main(String[] args) {
    System.setProperty("es.set.netty.runtime.available.processors", "false");
    SpringApplication.run(SSIApplication.class, args);
  }

}
