package com.ssi.constant;

/**
 * URL常量类
 * @author ZhangLiYao
 * @version 1.0
 * @date 2020/5/27 9:06
 */
public interface URL {

    String TELECONTROL_URL = "/remote/app/control";
    String SWITCHAUTO_URL = "/remote/app/switch";
//    String TELECONTROL_URL = "/ivccs_vmm/telecontrol/testResult";

    String ROAD_DEVICE_CHECKONLINE = "checkonline?rtsp=";
    String RTMP_CHECKONLINE = "/checkrtmp?rtmp=";
    String ROAD_DEVICE_RTSPSTART = "rtspstart?rtsp=";
    String RTMP_PLAY = "/playrtmp?rtmp=";
    String ROAD_DEVICE_RTSPSTOP = "rtspstop?rtsp=";

    String MAP_QUERY_URL = "/vehicleBuffer/query";
    String MAP_Delete_URL = "/vehicleBuffer/delete";
    String MAP_UPDATE_STATE_URL = "/vehicleBuffer/state";
    String MAP_EDIT_URL="/vehicleBuffer/edit";
    String MAP_EDIT_LOCK_URL="/vehicleBuffer/editLock";
    String MAP_ADD_URL = "/vehicleBuffer/add";
    String MAP_priority_URL = "/vehicleBuffer/priority";
    String FENCE_ADD_URL = "/vehicleBuffer/fence/add";
    String FENCE_DELETE_URL = "/vehicleBuffer/fence/delete";
    String FENCE_UPDATE_URL = "/vehicleBuffer/fence/update";
    String FENCE_QUERY_URL = "/vehicleBuffer/fence/list";

    String To_ODBU_URL="/api/vms/vehicle/order/task";
    String To_ODBU_Cancle="/api/vms/vehicle/order/cancelTask";
    String To_ODBU_EDIT_POSITION="/api/vms/update/position";
    String To_ODBU_EDIT_STATUS="/api/vms/update/command";
    String To_ODBU_RECOVERY_TASK="/api/vms/vehicle/order/recoveryTask";
    String To_ODBU_CANCEL_TASK="/api/vms/vehicle/order/cancelTask";
    String To_ODBU_TRIGGER = "/command/sendF009";
    String To_ODBU_CHANGE_ROAD = "api/vms/vehicle/order/changeRoadTask";
    String To_CPS_TASK_STOP = "/cps/command/endCurrentTaskForCPS";
    String To_CPS_TASK_RECOVERY = "/cps/command/recoveryCPS";
    String upshift_URL="/command/forceGoShipCraneLane";
    String EMERGENCY_COMMAND="/remote/app/emergency";
    String TRAFFIC_LIGHT="/set/CrossDevControl";

}
