package com.ssi.constant.enums;

import lombok.Getter;
/**
 * 事件类型枚举类
 * @author ZhangLiYao
 * @version 1.0
 * @date 2020/3/11 15:19
 */
public enum EventTypeEnums {

    TEST1("1", "禁止通行"),

    TEST2("2", "道路施工"),

    TEST3("3", "车车事故");

    @Getter
    private String code;
    @Getter
    private String descript;

    EventTypeEnums(String code, String descript) {
        this.code = code;
        this.descript = descript;
    }


}
