package com.ssi.constant.enums;

import lombok.Getter;

/**
 * @author acer
 */

public enum V2xEventTypeEnums {
    TYPE_0707(707, "道路拥堵预警"),

    TYPE_0904(904, "车辆逆行"),

    TYPE_1101(1101, "岸桥拥堵预警"),

    TYPE_1102(1102, "港机过河"),
    TYPE_1103(1103, "交叉口障碍物预警")
   ;



    @Getter
    private Integer code;
    @Getter
    private String descript;

    V2xEventTypeEnums(Integer code, String descript) {
        this.code = code;
        this.descript = descript;
    }

    public static V2xEventTypeEnums find(int code){
        V2xEventTypeEnums[] values = V2xEventTypeEnums.values();
        for (V2xEventTypeEnums anEnum : values){
            if(anEnum.getCode() == code){
                return anEnum;
            }
        }
        return null;
    }
}
