package com.ssi.constant.enums;

import lombok.Getter;

/**
 * 车辆任务标签枚举类
 */
public enum VehicleTaskLabelEnum {

    //FREE(0,"空闲"),

    LOAD(1, "装船"),

    UNLOAD(2, "卸船"),

    ARRANGE_GOODS(3, "理货"),

    PARK(4, "停车、空闲"),

    CHARGE(5, "充电"),

    TEMPORARY_PARK(6, "临时停车"),;

    @Getter
    private int code;
    @Getter
    private String description;

    VehicleTaskLabelEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

}
