package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * 系统配置报警阈值表
 *
 * @author zhou ms
 * @email
 * @date 2022-03-25
 */
@Getter
@Setter
@ApiModel(value = "VmsAlertThresholdNew")
public class VmsAlertThresholdNew {

    /**
     *
     */
    @ApiModelProperty(value = "id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * key
     */
    @ApiModelProperty(value = "key")
    private String paramKey;
    /**
     * value
     */
    @ApiModelProperty(value = "value")
    private String paramValue;
    /**
     * 状态0：隐藏1：显示
     */
    @ApiModelProperty(value = "状态0：隐藏1：显示")
    private Integer status;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 删除：0已删除1未删除
     */
    @ApiModelProperty(value = "删除状态")
    private Integer isDel;
}
