package com.ssi.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

/**
 * 箱体信息
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-08 15:38:37
 */
@Data
@ApiModel(value = "VmsCable")
public class VmsCable implements Serializable {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "缆桩代码")
	private String cableCod;
	@ApiModelProperty(value = "泊位代码")
	private String berthCod;
	@ApiModelProperty(value = "码头代码")
	private String termCod;
	private String x;
	private String y;
	private String distance;
	private String pool;
	private String remarkTxt;
	private String recNam;
	private String recTim;
	private String updNam;
	private String updTim;
	private String lockId;
	private String cableSeq;

}
