package com.ssi.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


/**
 * 吊具状态信息
 *
 * @author liheng
 * @email
 * @date 2020-08-20 14:05:17
 */
@Getter
@Setter
@ApiModel(value = "VmsHangerStatusInfo")
public class VmsHangerStatusInfo {

    /**
     *
     */
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 港机编码
     */
    @ApiModelProperty(value = "港机编码")
    private String portCode;
    /**
     * 港机类型 1-桥吊;2-场吊
     */
    @ApiModelProperty(value = "")
    private String portType;
    /**
     * 升降状态 1-上升；2：下降
     */
    @ApiModelProperty(value = "升降状态 1-上升；2：下降")
    private Integer portStatus;
    /**
     * 锁具状态 1-锁止；0-松开
     */
    @ApiModelProperty(value = "锁具状态 1-锁止；0-松开")
    private Integer lockStatus;
    /**
     * 锁具高度 单位cm
     */
    @ApiModelProperty(value = "锁具高度 单位cm")
    private Long height;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long collectTime;
    /**
     * 上升或下降  0=standby;1= hoist_up;2=hoist_down
     */
    @ApiModelProperty(value = "上升或下降  0=standby;1= hoist_up;2=hoist_down  ")
    private Integer hoistStatus;

}
