package com.ssi.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
 * 箱体信息
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-08 15:38:37
 */
@Data
@ApiModel(value = "VmsShipNcl")
public class VmsShipNcl implements Serializable {

 

	private static final long serialVersionUID = 1L;
	 @ApiModelProperty(value = "艘次编号")
	private String voyageNo;   
	 @ApiModelProperty(value = "船号")
    private String shipNo;
	 @ApiModelProperty(value = "箱号")
    private String cntr;
	 @ApiModelProperty(value = "流向类别")
    private String cntrClass;
	 @ApiModelProperty(value = "尺寸")
    private String cntrSizCod;
	 @ApiModelProperty(value = "箱型")
    private String cntrTypCod;
	 @ApiModelProperty(value = "箱公司")
    private String cntrCorpCod;
	 @ApiModelProperty(value = "卸货港")
    private String transPortCod;
	 @ApiModelProperty(value = "贝位")
    private String bayNo;
    @ApiModelProperty(value = "场位")
	private String cntrPlac;
    @ApiModelProperty(value = "指令状态")
    private String commStatus;
    @ApiModelProperty(value = "强制状态：Y-强制上船，N-禁止上船")
    private String allowFlag;

//    private List<VmsShipNcl>D;
//    private List<VmsShipNcl>U;
//    private Integer DmaxRow;
//    private Integer UmaxRow;
////    private String shipCod;
////    private String bayNo;
//    private String deckId;
//    private String rowNo;
//    private String layNo;
    
    @TableField(exist = false)
    private String tempBayNo;
    @TableField(exist = false)
    private String rowNo;
    @TableField(exist = false)
    private String layNo;
    @TableField(exist = false)
    private String deckId;
    

}
