package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * 终端版本表
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-16 13:36:49
 */
@Getter
@Setter
@ApiModel(value = "VmsTerminalVersion")
public class VmsTerminalVersion {

    /**
     *
     */
    @ApiModelProperty(value = "id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private String terminalType;
    /**
     * 版本号
     */
    @ApiModelProperty(value = "版本号")
    private String terminalVersionNum;
    /**
     * 强制更新 1 是 0 否
     */
    @ApiModelProperty(value = "强制更新 1 是 0 否")
    private Integer forceUpdate;
    /**
     * 安装包上传url
     */
    @ApiModelProperty(value = "安装包上传url")
    private String packageUrl;
    /**
     * 更新说明
     */
    @ApiModelProperty(value = "更新说明")
    private String updateDescription;
    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    private Date publishTime;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}
