package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: dt
 * @create: 2022-10-28 15:51
 */
@Data
public class VmsTosOrderDailyKpi implements Serializable {

    @ApiModelProperty(value = "id")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 分析天数
     */
    private String analysisDate;

    /**
     * 分析小时
     */
    private Integer analysisHour;

    /**
     * vin
     */
    private String vin;

    /**
     * 车辆编号
     */
    private String vehicleNum;


    /**
     * 任务编号
     */
    private String orderIds;

    /**
     * 结束任务编号
     */
    private String finishedOrderIds;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 结束时间
     */
    private Date createTime;

    /**
     * 每个小时的集装箱 id
     */
    private String containerIds;


}
