package com.ssi.entity;


import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 
 * @TableName vms_traffic_light_info
 */
@TableName(value ="vms_traffic_light_info")
@Data
public class VmsTrafficLightInfo  implements Serializable {
    /**
     * 
     */
    @TableId
    private String crossId;

    /**
     * 0: 异常 1：正常
     */
    private Byte status;

    /**
     * 0:不启用 1：启用
     */
    private Byte enable;

    /**
     * 位置描述
     */
    private String location;

    /**
     * 0:未锁定 1：锁定
     */
    private Byte isLock;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUser;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private int pageIndex = 1;

    @TableField(exist = false)
    private int pageSize = 10;

    @TableField(exist = false)
    private List<JSONObject> lights;

    @TableField(exist = false)
    private String lampNos;

    /**
     * 1:红灯 2绿灯
     */
    @TableField(exist = false)
    private Integer flag;
}