package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * @author zhang liyao
 * @email
 * @date 2020-07-17 09:47:00
 */
@Getter
@Setter
@ApiModel(value = "VmsVehicleAlertHistory")
public class VmsVehicleAlertHistory {

    /**
     *
     */
    @ApiModelProperty(value = "id")
    @TableId(type = IdType.UUID)
    private String id;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String vin;
    /**
     * 故障代码
     */
    @ApiModelProperty(value = "故障代码")
    private String faultCode;
    /**
     * SPN
     */
    @ApiModelProperty(value = "SPN")
    private String spn;
    /**
     * FMI
     */
    @ApiModelProperty(value = "FMI")
    private String fmi;
    /**
     * 报警状态 0：未解除 1：已解除
     */
    @ApiModelProperty(value = "报警状态 0：未解除 1：已解除")
    private Integer troubleStatus;
    /**
     * 报警时间
     */
    @ApiModelProperty(value = "报警时间")
    private Date alarmTime;
    /**
     * 报警位置
     */
    @ApiModelProperty(value = "报警位置")
    private String alarmPosition;
    /**
     * 解除报警时间
     */
    @ApiModelProperty(value = "解除报警时间")
    private Date relieveAlarmTime;
    /**
     * 车辆编号
     */
    @ApiModelProperty(value = "车辆编号")
    @TableField(exist = false)
    private String vehicleNum;


}
