package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * @author zhang liyao
 * @email
 * @date 2020-07-17 09:47:00
 */
@Getter
@Setter
@ApiModel(value = "VmsVehicleRemoteInstruction")
public class VmsVehicleRemoteInstruction {

    @ApiModelProperty(value = "id")
    @TableId(type = IdType.AUTO)
    private Long id;

    //指令类型：APP、AUTO（自动驾驶）、CONSOLE（远控台）
    @ApiModelProperty(value = "")
    private String instructionType;

    //1、（APP、远控台）接管 ；2、（APP、远控台）退出接管；3、自动驾驶状态启动
    @ApiModelProperty(value = "")
    private Byte instruction;

    @ApiModelProperty(value = "")
    private String vin;

    @ApiModelProperty(value = "车辆编号")
    private String vehicleNum;

    @ApiModelProperty(value = "操作人mac地址")
    private String mac;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "指令内容")
    private String instructionContent;

    @ApiModelProperty(value = "")
    private Byte result;

    @ApiModelProperty(value = "任务编号")
    private String taskId;

    @ApiModelProperty(value = "")
    private Date createTime;
}
