package com.ssi.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 远程操作APP车控参数
 * @author ZhangLiYao
 * @version 1.0
 * @date 2020/9/1 18:28
 */
@Data
public class SwitchAutoParamDto {

    @NotNull(message = "vin不能为空")
    private String vin;

    @NotNull(message = "操作必须传值,01:开始，02:暂停，03:取消，04:结束，05:未知")
    private Integer operation;
}
