package com.ssi.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author SunnyHotz
 * @PackageName:com.ssi.entity.dto
 * @ClassName:VehicleTaskOrderReq
 * @Description:
 * @date 2022/8/17 18:58
 */
@Data
public class VehicleTaskOrderReq {

    //1:总任务  2:TOS任务  3:APP接管任务 4: 总箱数

    private Integer totalType;

    private Integer loadType;

    private Integer unloadType;

    private Integer moveType;
    
    private Integer orderType;

    private List<String> vins;

    @JsonFormat(pattern="yyyy-MM-dd")
    private Date startDate;

    @JsonFormat(pattern="yyyy-MM-dd")
    private Date endDate;

}
