package com.ssi.entity.vo;

import com.alibaba.fastjson.JSONObject;
import com.ssi.entity.CargoShipConfigInfo;
import lombok.Data;

import java.util.List;
import java.util.Objects;

/**
 * @author SunnyHotz
 * @PackageName:com.ssi.entity.vo
 * @ClassName:CargoShipConfigInfo
 * @Description:
 * @date 2022/10/19 09:50
 */
@Data
public class CargoShipConfigDto extends CargoShipConfigInfo {


    /**
     * 必经区域，json
     */
    private JSONObject passAreaObj;

    /**
     * 堆场贝位，json   <yardNo,List<bayNo>>
     */
    private JSONObject yardBayObj;

    @Override
    public String getPassArea() {
        if(Objects.isNull(passAreaObj)){
            return super.getPassArea();
        }
        return passAreaObj.toJSONString();
    }

    @Override
    public String getYardBay() {
        if(Objects.isNull(yardBayObj)){
            return super.getYardBay();
        }
        return yardBayObj.toJSONString();
    }
}
