package com.ssi.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ToString
@Builder
public class VideoMonitorParams {
    @ApiModelProperty("sim卡号")
    @NotNull(message = "sim不能为空")
    private String sim;
    @ApiModelProperty("通道号")
    @NotNull(message = "通道号不能为空")
    private Integer channel;//通道号
    @ApiModelProperty("数据类型：0：音视频;1视频")
    @NotNull(message = "数据类型不能为空：0：音视频;1视频")
    private Integer dataType;
    @ApiModelProperty("控制类型：0：开始；1停止")
    @NotNull(message = "控制类型不能为空：0：开始；1停止")
    private Integer controlType;
    @ApiModelProperty("码流类型：0: 标清；1：高清")
    @NotNull(message = "码流类型不能为空：0: 标清；1：高清")
    private Integer hdType;
}
