package com.ssi.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

@Getter
@Setter
@ToString
public class VmsVehicleEmergencyVo {
    /**
     *id
     */
    private Long id;
    /**
     * 车辆编号
     */
    private String vehicleNum;
    /**
     *vin
     */
    @ApiModelProperty(value = "vin")
    private String vin;
    /**
     * 
     */
    @ApiModelProperty(value = "急停下发时间")
    private Date receiveTime;
    /**
     *
     */
    @ApiModelProperty(value = "急停执行成功反馈时间")
    private Date feedbackTime;
    /**
     * 
     */
    @ApiModelProperty(value = "急停解除时间")
    private Date relieveTime;
    /**
     * 
     */
    @ApiModelProperty(value = "解除执行成功反馈时间")
    private Date relieveSuccessTime;
    /**
     * 结果： 1:紧停成功，2：紧停失败，17：取消紧停成功，18：取消紧停失败
     */
    @ApiModelProperty(value = "结果")
    private Integer result;

}
