package com.ssi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ssi.entity.VmsVehicleEmergencyStop;
import com.ssi.entity.VmsVehicleRemoteInstruction;
import com.ssi.entity.vo.VmsVehicleEmergencyVo;
import com.ssi.entity.vo.VmsVehicleRemoteInstructionVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author zhang liyao
 * @email
 * @date 2020-07-17 09:47:00
 */
@Mapper
public interface VehicleRemoteInstructionMapper extends BaseMapper<VmsVehicleRemoteInstruction> {

    IPage<VmsVehicleRemoteInstructionVo> getRemoteInstructionList(IPage<VmsVehicleRemoteInstructionVo> page, @Param("param") Map<String, Object> params);

    List<String> getAppChargedTask();
}
