package com.ssi.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Mapper
@Component
public interface VehicleTboxMapper {
    @Select("select * from terminal t1 join vehicle t2 on t1.terminal_num = t2.terminal_num where t2.vin = #{vin} limit 1")
    Map<String, Object> getVehicleBaseInfo(@Param("vin") String vin);

    @Select("select * from hac_tbox_info ")
    List<Map<String, Object>> getAllVehicleInfo();
}

