package com.ssi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ssi.entity.VmsAreaBusinessInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @Entity com.ssi.entity.VmsAreaBusinessInfo
*/
public interface VmsAreaBusinessInfoMapper extends BaseMapper<VmsAreaBusinessInfo> {


    List<String> getByCrane(@Param("portCode") String portCode, @Param("taskType") Integer taskType, @Param("taskTypes") List<Integer> taskTypes);

    List<VmsAreaBusinessInfo> getByCraneInfo(String portCode);

    void deleteByCrane(@Param("bridge") String bridge, @Param("taskType") Integer taskType);
}
