package com.ssi.mapper;

import com.ssi.entity.VmsChargingTotal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ssi.entity.vo.ChargingPileUseRateTrendByDayVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 
 * 
 * @author zhang liyao
 * @email 
 * @date 2020-09-02 14:06:09
 */
@Mapper
public interface VmsChargingTotalMapper extends BaseMapper<VmsChargingTotal> {

    double getChargingPileUseRate(@Param("vins")List<String> vins, @Param("startDate")Date startDate, @Param("endDate")Date endDate);

    List<ChargingPileUseRateTrendByDayVo> getChargingPileUseRateTrendByDay(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);

    List<Map> getChargingFrequencyByVehicle();

    double getOverallChargingFrequency();

    Integer queryChargingTimes(@Param("vins")List<String> vin, @Param("startDate")Date startDate, @Param("endDate")Date endDate);

    Double queryUsedEnergy(@Param("vins")List<String> vin, @Param("startDate")Date startDate, @Param("endDate")Date endDate);
}
