package com.ssi.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ssi.entity.VmsKpiAnalysis;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ssi.entity.vo.KpiCostTimeVo;
import io.lettuce.core.dynamic.annotation.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
* @author Admin
* @description 针对表【vms_kpi_analysis】的数据库操作Mapper
* @createDate 2023-02-28 14:17:30
* @Entity com.ssi.entity.VmsKpiAnalysis
*/
public interface VmsKpiAnalysisMapper extends BaseMapper<VmsKpiAnalysis> {

    List<JSONObject> staticsWorkTime(KpiCostTimeVo kpiCostTimeVo);

    List<VmsKpiAnalysis> taskAnalysis(KpiCostTimeVo kpiCostTimeVo);

    VmsKpiAnalysis staticsSpeciParam(KpiCostTimeVo qryKpi);

    List<VmsKpiAnalysis> getTaskTrend(@Param("startTime") Long startTime, @Param("endTime") Long endTime);

    List<String> getVoyageNo();
}




