package com.ssi.mapper;

import com.ssi.entity.DcvAllowGoShipLaneTx;
import com.ssi.entity.VmsCable;
//import com.ssi.entity.VmsShipBaplie;
import com.ssi.entity.VmsShipInfo;
import com.ssi.entity.VmsShipNcl;
import com.ssi.entity.VmsShipsDrawing;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;


/**
 * 车辆表
 *
 * @author lvyanfeng
 * @email
 * @date 2020-07-08 15:38:37
 */
@Mapper
public interface VmsShipsDrawingMapper extends BaseMapper<VmsShipsDrawing> {

	IPage<VmsShipsDrawing>  queryShipDrawByCode(IPage<VmsShipsDrawing> page, @Param("params") Map<String, Object> params);

	List<String>  queryShipWorkBay(@Param("voyageNo")String voyageNo);

    List<VmsShipsDrawing> queryShipDrawBylayNo(@Param("shipCod") String shipCod,@Param("deck") String deck,@Param("bayNo") String bayNo);

    List<VmsShipsDrawing> queryShipDrawByRowNo(@Param("shipCod") String shipCod,@Param("deck") String deck,@Param("bayNo") String bayNo,@Param("layNo") String layNo);

    List<VmsShipNcl> queryShipNclByShortBayNo (@Param("voyageNo")String voyageNo, @Param("shortBayNo") String shortBayNo);

    List<VmsShipNcl> queryShipNcl (@Param("voyageNo") String voyageNo,@Param("shipCod") String shipCod,@Param("bayNo") String bayNo);
      VmsShipNcl queryShipNclByCntr(@Param("cntr") String cntr);
    IPage<VmsShipInfo> queryshipInfoList(IPage<VmsShipInfo> page, @Param("params") Map<String, Object> params);
    int saveShipTx(DcvAllowGoShipLaneTx dcvAllowGoShipLaneTx);
    int updateShipTx(DcvAllowGoShipLaneTx dcvAllowGoShipLaneTx);
    int saveBatch(List<DcvAllowGoShipLaneTx> list);
    List<VmsShipNcl> findShipNcl(@Param("voyageNo") String voyageNo,@Param("bayNo") String bayNo);
    List<VmsShipsDrawing> findShipMap(@Param("shipCod") String shipCod,@Param("bayNo") String bayNo);
    Map getPileInfo(@Param("portCode") String portCode);
    List<VmsCable> cableList();
    List<VmsShipInfo> queryshipInfoCoor();
    String getShipWorkingBay(@Param("voyageNo")String voyageNo, @Param("portCode") String portCode);

    int deleteBatch(List<DcvAllowGoShipLaneTx> tempList);
}
