package com.ssi.mapper;

import com.ssi.entity.VmsVehicle;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ssi.entity.dto.VmsVehicleDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 车辆表
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-08 15:38:37
 */
@Mapper
public interface VmsVehicleMapper extends BaseMapper<VmsVehicle> {

    /**
     * 根据vin获取车辆以及远控台信息
     * @param vin
     * @return
     */
    VmsVehicleDto queryVehicleByVin(@Param("vin") String vin);

    Map getVmsCranePosMapInfo(@Param("name") String name);
    List<Map>getVmsVehicle();
}
