package com.ssi.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.google.gson.JsonArray;
import com.ssi.entity.CargoShipConfigInfo;
import com.ssi.entity.vo.CargoShipConfigDto;

import java.util.List;

/**
*
*/
public interface CargoShipConfigInfoService extends IService<CargoShipConfigInfo> {

    List<CargoShipConfigDto> queryOnWorkingList();

    JSONObject listByCondition(CargoShipConfigDto cargoShipConfigDto);

    void enableConfig(List<CargoShipConfigDto> cargoShipConfigDto);

    List<JSONObject> qryEnableCacheArea(String beginLocation, String endLocation);
}
