package com.ssi.service;

import com.ssi.entity.dto.VehicleTaskOrderReq;
import com.ssi.response.SSIResponse;

import java.util.Date;
import java.util.List;

public interface OperationAnalysisService {

    SSIResponse overallData(List<String> vins, List<Date> interval);

    SSIResponse getTaskTrend(Integer timeType) throws Exception;

    SSIResponse getStopWaitTimeRate(Long startTime);

    SSIResponse getTaskMileTrend(Integer timeType) throws Exception;

    SSIResponse getChargingPileUseTrend(Integer timeType) throws Exception;

    SSIResponse getChargingFrequencyByVehicle();

    SSIResponse getOverallChargingFrequency();

    SSIResponse getUseInfoByVehicle();

    SSIResponse getVehicleTaskOrder(VehicleTaskOrderReq req);
}
