package com.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.VmsCarControlCommand;
import com.ssi.entity.dto.CarControlCommandParam;
import com.ssi.entity.vo.CarControlCommandVo;
import com.ssi.response.SSIPage;
import com.ssi.response.SSIResponse;

import javax.servlet.http.HttpServletResponse;

/**
 * 远程控车指令表
 *
 * @author liheng
 * @email
 * @date 2020-07-24 10:14:56
 */
public interface VmsCarControlCommandService extends IService<VmsCarControlCommand> {

    SSIPage queryPage(CarControlCommandVo carControlCommandVo);

    void export(CarControlCommandVo carControlCommandVo, HttpServletResponse response);

    SSIResponse executeCommand(CarControlCommandParam param);

    SSIResponse stepping(String vin, Integer direction, Integer distance);
}

