package com.ssi.service;

import com.alibaba.fastjson.JSONObject;
import com.ssi.entity.VmsKpiAnalysis;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.vo.KpiCostTimeVo;
import com.ssi.response.SSIResponse;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
* @author Admin
* @description 针对表【vms_kpi_analysis】的数据库操作Service
* @createDate 2023-02-28 14:17:30
*/
public interface VmsKpiAnalysisService extends IService<VmsKpiAnalysis> {

    List<JSONObject> staticsWorkTime(KpiCostTimeVo kpiCostTimeVo);

    List<JSONObject> taskAnalysis(KpiCostTimeVo kpiCostTimeVo);

    VmsKpiAnalysis staticsSpeciParam(KpiCostTimeVo qryKpi);

    JSONObject taskIndexAnalysis(KpiCostTimeVo qryKpi);

    SSIResponse getTaskTrend(Integer timeType,Integer groupType);

    void exportExcel(KpiCostTimeVo kpiCostTimeVo, HttpServletResponse response);

    List<String> getVoyageNo();
}
