package com.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.VmsTosOrderDailyKpi;

import java.util.List;
import java.util.Map;

/**
 * @author dt
 * @description:
 * @create 2022-10-28 16:44
 */
public interface VmsTosOrderDailyKpiService extends IService<VmsTosOrderDailyKpi> {

    /**
     * 预处理任务
     * @param vins
     * @return
     */
    Boolean analysisTosOrderDailyKpi(String vins);

    /**
     * 查询
     * @param day
     * @param vehicleNum
     * @return
     */
    List<Map<String, String>> getOrderDailyKpi(String day, String vehicleNum);

}
