package com.ssi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.VmsTosOrdersAnalysis;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 任务分析表
 *
 * @author hli
 * @email
 * @date 2021-01-11 14:00:36
 */
public interface VmsTosOrdersAnalysisService extends IService<VmsTosOrdersAnalysis> {

    IPage<VmsTosOrdersAnalysis> queryPage(int current, int size, VmsTosOrdersAnalysis vmsTosOrdersAnalysis);

    void runTosAnalysisTask(LocalDateTime startTime, LocalDateTime endTime);

    void reAnalysis(LocalDate date);
}

