package com.ssi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ssi.entity.V2xEvent;
import com.ssi.mapper.V2xEventMapper;
import com.ssi.service.V2xEventService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  车路协调
 */
@Service("V2xEventService")
@Slf4j
public class V2xEventServiceImpl extends ServiceImpl<V2xEventMapper, V2xEvent> implements V2xEventService {
    @Autowired
    private V2xEventMapper v2xEventMapper;
    @Override
    public List<V2xEvent> selectHistory() {
        return v2xEventMapper.selectHistory();
    }
}
