package com.ssi.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ssi.entity.VmsAlertThreshold;
import com.ssi.entity.VmsAlertThresholdNew;
import com.ssi.mapper.VmsAlertThresholdMapper;
import com.ssi.mapper.VmsAlertThresholdNewMapper;
import com.ssi.response.SSIPage;
import com.ssi.service.VmsAlertThresholdNewService;
import com.ssi.service.VmsAlertThresholdService;
import com.ssi.utils.QueryUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 报警阀值服务实现类
 */
@Service("alertThresholdNewService")
public class VmsAlertThresholdNewServiceImpl extends ServiceImpl<VmsAlertThresholdNewMapper, VmsAlertThresholdNew> implements VmsAlertThresholdNewService {

    @Override
    public SSIPage queryPage(Map<String, Object> params) {
        VmsAlertThresholdNew vmsAlertThresholdNew=new VmsAlertThresholdNew();
        vmsAlertThresholdNew.setIsDel(1);
        IPage<VmsAlertThresholdNew> page = this.page(
                new QueryUtils<VmsAlertThresholdNew>().getPage(params),
                new QueryWrapper<VmsAlertThresholdNew>(vmsAlertThresholdNew)
        );

        return new SSIPage(page);
    }

}
