package com.ssi.service.impl;

import com.ssi.entity.VmsAlertThresholdNew;
import com.ssi.mapper.VmsAlertThresholdMapper;
import com.ssi.response.SSIPage;
import org.springframework.stereotype.Service;

import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ssi.utils.QueryUtils;

import com.ssi.entity.VmsAlertThreshold;
import com.ssi.service.VmsAlertThresholdService;

/**
 * 报警阀值服务实现类
 */
@Service("alertThresholdService")
public class VmsAlertThresholdServiceImpl extends ServiceImpl<VmsAlertThresholdMapper, VmsAlertThreshold> implements VmsAlertThresholdService {

    @Override
    public SSIPage queryPage(Map<String, Object> params) {
        VmsAlertThreshold vmsAlertThresholdNew=new VmsAlertThreshold();
        vmsAlertThresholdNew.setIsDel(1);
        IPage<VmsAlertThreshold> page = this.page(
                new QueryUtils<VmsAlertThreshold>().getPage(params),
                new QueryWrapper<VmsAlertThreshold>(vmsAlertThresholdNew)
        );
        return new SSIPage(page);
    }

}
