package com.ssi.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ssi.entity.VmsCarryCapacityLatest;
import com.ssi.mapper.VmsCarryCapacityLatestMapper;
import com.ssi.service.VmsCarryCapacityLatestService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

@Service("vmsCarryCapacityLatestService")
public class VmsCarryCapacityLatestServiceImpl extends ServiceImpl<VmsCarryCapacityLatestMapper, VmsCarryCapacityLatest> implements VmsCarryCapacityLatestService {

    @Override
    public IPage<VmsCarryCapacityLatest> queryPage(int current, int size,VmsCarryCapacityLatest vmsCarryCapacityLatest) {
        IPage<VmsCarryCapacityLatest> page = new Page<>(current, size);
        QueryWrapper<VmsCarryCapacityLatest> wrapper = new QueryWrapper<>();
        wrapper.select("SUM(FREE_MILE)","SUM(WORK_MILE)");
        return this.page(page,wrapper);
    }

}
