package com.ssi.task;

import com.ssi.websocket.WebSocketServiceForScreenList;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 大屏数据刷新任务，一般每日凌晨执行
 */
@Component
@EnableScheduling
public class BigScreenRefreshTask {

  //@Scheduled(cron = "0 0 0 * * ?")
  @Scheduled(cron = "${task.bigScreenRefreshTask.cron}")
  private void bigScreenRefresh() {
    WebSocketServiceForScreenList.messageBroadcast("windowReload");
  }
}
