package com.ssi.utils.telaidian;

import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

/**
 * AES工具
 */
public class AESOperator {

    private static final String DEFAULT_CIPHER_ALGORITHM = "AES/CBC/PKCS5Padding";

    /**
     * @param src
     * @param AESSecret
     * @param AESSecretIv
     * @return
     * @throws Exception
     */
    public static String encrypt(String src, String AESSecret, String AESSecretIv) throws Exception {
        Cipher cipher = Cipher.getInstance(DEFAULT_CIPHER_ALGORITHM);

        SecretKeySpec secretKeySpec = new SecretKeySpec(AESSecret.getBytes(), "AES");
        IvParameterSpec iv = new IvParameterSpec(AESSecretIv.getBytes());
        cipher.init(Cipher.ENCRYPT_MODE, secretKeySpec, iv);
        byte[] encrypted = cipher.doFinal(src.getBytes("utf-8"));

        return new BASE64Encoder().encode(encrypted).replaceAll("\r|\n", "");
    }


    /**
     * 解密
     *
     * @param src
     * @return
     * @throws Exception
     */
    public static String decrypt(String src, String AESSecret, String AESSecretIV) throws Exception {
        SecretKeySpec secretKeySpec = new SecretKeySpec(AESSecret.getBytes("ASCII"), "AES");
        Cipher cipher = Cipher.getInstance(DEFAULT_CIPHER_ALGORITHM);
        IvParameterSpec iv = new IvParameterSpec(AESSecretIV.getBytes());
        cipher.init(Cipher.DECRYPT_MODE, secretKeySpec, iv);

        return new String(cipher.doFinal(new BASE64Decoder().decodeBuffer(src)), "utf-8");
    }
}
