package com.ssi.constant;

import java.util.ArrayList;
import java.util.List;

import static java.util.Arrays.asList;

/**
 * 一些常量
 */
public class VehicleConstant {

    public static final String LOGIN_USER_KEY = "loginUser";

    public static final String DEBUG_APP_KEY = "debug_app_key";

    public static final String DEBUG_APP_DISTANCE = "debug_app_distance";

    public static final String ADMIN_DATABASE_NAME = "ivccs_admin";

    public static final int OBU_RECEIVED = 43;//OBU接受

    public static final int ADCU_RECEIVED = 66;//ADCU接受

    public static final int PATH_PLANNING = 64;//路径规划

    public static final int START_TASK = 65;//开始行驶

    public static final int FINISH_CHARGING = 35;//完成充电

    public static final int FINISH_PACKING = 36;//完成停车（固定停车区任务）

    public static final int FINISH_CONFIRM = 37;//三重确认完成

    public static final int TASK_CANCEL_SUCCESS = 51;//取消任务成功
    
    public static final int FORCE_CANCEL_SUCCESS = 53;//强制取消任务成功

    public static final int TASK_FAIL = 41;//任务终止
    //状态模板
    public static final List<Integer> statusTemp = new ArrayList<>(asList(42,43,65,49));

    public static final int TELE_CONTROL_TYPE_TAKE_OVER = 1;//APP接管

    public static final int TELE_CONTROL_TYPE_OPER = 2;//APP操作

    public static final int ORDER_EXPIRATION_TIME = 60 * 60 * 1000;

    public static final int DEFAULT_EXPIRATION_TIME = 60 * 60 * 24;

    public static final int VIDEO_STATUS_ON = 1;

    public static final int VIDEO_STATUS_OFF = 0;

    public static final int VEHICLE_STATUS_ONLINE = 1;

    public static final String START_PUSHER = "startPusher";

    public static final String STOP_PUSHER = "stopPusher";
}
