package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class DataQualityInspection {

    /**
     * id
     */
    private String id;

    /**
     * 协议id
     */
    private String agreementId;

    /**
     * 不完整字段
     */
    @TableField("incomplete_fields")
    private Long nullFieldCount;

    /**
     * 不正确字段
     */
    @TableField("incorrect_fields")
    private Long invalidFieldCount;

    /**
     * 所有字段
     */
    @TableField("all_fields")
    private Long totalFieldCount;

    /**
     * 重复记录
     */
    @TableField("duplicate_records")
    private Long repeatCount;

    /**
     * 跳变记录
     */
    @TableField("jump_records")
    private Long invalidLocationCount;

    /**
     * 不及时记录
     */
    @TableField("not_time_records")
    private Long delayCount;

    /**
     * 所有记录
     */
    @TableField("all_records")
    private Long totalCount;

    /**
     * 日期
     */
    @TableField("date")
    private Long statDay;
}
