package com.ssi.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

@Getter
@Setter
@ToString
public class FaultRecord {

    private Double altitude;

    private Date collectTime;

    private String did;

    private Double direction;

    private String fmi;

    private String spn;

    private Double gpsSpeed;

    private Date gpsTimestamp;

    private Double latitude;

    private Double longitude;

    private String msgId;

    private String plateNo;

    private Date receiveTime;

    private String sim;

    private String vin;

    private String faultName;

    private String faultType;

    private String faultGrade;

    private String faultSolution;

    private String description;

    private String vehicleNum;

    private String vehicleNumFmiSpn;

    public String getVehicleNumFmiSpn(){
        return String.format("%s%s%s",this.getVehicleNum(),this.getFmi(),this.getSpn());
    }
}
