package com.ssi.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 充电设备信息
 * @TableName vms_charging_equipment_info
 */
@TableName(value ="vms_charging_equipment_info")
@Data
public class VmsChargingEquipmentInfo implements Serializable {
    /**
     * 设备id
     */
    @TableId
    private String equipmentId;

    /**
     * 充电站id
     */
    private String stationId;

    /**
     * 设备类型
     */
    private Integer equipmentType;

    /**
     * 经度
     */
    private Double equipmentLng;

    /**
     * 纬度
     */
    private Double equipmentLat;

    /**
     * 设备型号
     */
    private String equipmentModel;

    /**
     * 充电设备总功率
     */
    private Double power;

    /**
     * 充电设备名称
     */
    private String equipmentName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}