package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 
 * 
 * @author zhang liyao
 * @email 
 * @date 2020-09-02 14:06:09
 */
@Getter
@Setter
@ApiModel(value="VmsChargingTotal")
public class VmsChargingTotal {

	/**
	 * 
	 */
		@ApiModelProperty(value="id")
	@TableId(type = IdType.UUID)
		private String id;
	/**
	 * 
	 */
		@ApiModelProperty(value="")
		private String vin;
	/**
	 * 充电年份
	 */
		@ApiModelProperty(value="充电年份")
		private String year;
	/**
	 * 充电开始时间，毫秒
	 */
		@ApiModelProperty(value="充电开始时间，毫秒")
		private Long startTime;
	/**
	 * 充电结束时间，毫秒
	 */
		@ApiModelProperty(value="充电结束时间，毫秒")
		private Long endTime;
	/**
	 * 充电持续时间
	 */
		@ApiModelProperty(value="充电持续时间")
		private Long duration;
	/**
	 * 充电电量 kwh
	 */
		@ApiModelProperty(value="充电电量 kwh")
		private BigDecimal chargingEnergy;

}
