package com.ssi.entity;


import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 电子围栏触发记录表
 * @TableName vms_elect_alert_info
 */
@TableName(value ="vms_elect_alert_info")
@Data
public class VmsElectAlertInfo implements Serializable {
    /**
     * 消息id
     */
    @TableId
    private String id;

    /**
     * 车辆VIN
     */
    private String vin;

    /**
     * 车辆编号
     */
    private String vehicleId;

    /**
     * 区域id
     */
    private Integer regionId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 进入状态
     */
    private Integer enterOutStatus;

    /**
     * 进入速度
     */
    private Double enterSpeed;

    /**
     * 进入经度
     */
    private Double enterLon;

    /**
     * 进入纬度
     */
    private Double enterLat;

    /**
     * 进入时间
     */
    private String enterTime;

    /**
     * 进入位置
     */
    private String enterLocation;

    /**
     * 围栏类型
     */
    private Integer fenceType;

    /**
     * 经纬度坐标集合
     */
    private String centerpoint;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}