package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * 任务车辆变更表
 * 
 * @author zhang liyao
 * @email 
 * @date 2020-08-22 13:11:22
 */
@Getter
@Setter
@ApiModel(value="VmsOrdersVehicleAlter")
public class VmsOrdersVehicleAlter {

	/**
	 * 
	 */
		@ApiModelProperty(value="id")
	@TableId(type = IdType.AUTO)
		private Integer id;
	/**
	 * 任务编号
	 */
		@ApiModelProperty(value="任务编号")
		private String taskNo;
	/**
	 * vin
	 */
		@ApiModelProperty(value="vin")
		private String vin;
	/**
	 * 任务原vin
	 */
		@ApiModelProperty(value="任务原vin")
		private String originalVin;
	/**
	 * 创建时间
	 */
		@ApiModelProperty(value="创建时间")
		private Date createTime;
	/**
	 * 修改时间
	 */
		@ApiModelProperty(value="修改时间")
		private Date updateTime;

}
