package com.ssi.entity;


import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 
 * @TableName vms_position_info
 */
@TableName(value ="vms_position_info")
@Data
public class VmsPositionInfo implements Serializable {
    /**
     * id
     */
    @TableId
    private Integer id;

    /**
     * 定位类型
     */
    private String positionType;

    /**
     * 堆场号
     */
    private String yardNum;

    /**
     * 贝位号
     */
    private String  bayNum;

    /**
     * 集装箱大小, 1-大箱;2-双小箱;3-单小箱;
     */
    private Boolean containerSize;

    /**
     * 集装箱车上位置, 1-前;2-中;3-后
     */
    private Boolean containerPosition;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 版本号
     */
    private Integer version;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}