package com.ssi.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;



/**
 * 箱体信息
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-08 15:38:37
 */
@Data
@ApiModel(value = "VmsShipBaplie")
public class VmsShipBaplie implements Serializable {

 

	private static final long serialVersionUID = 1L;
	 @ApiModelProperty(value = "艘次编号")
	private String oyageNo;
	 @ApiModelProperty(value = "船号")
    private String shipNo;
	 @ApiModelProperty(value = "箱号")
    private String cntr;
	 @ApiModelProperty(value = "流向类别")
    private String cntrClass;
	 @ApiModelProperty(value = "尺寸")
    private String cntrSizCod;
	 @ApiModelProperty(value = "箱型")
    private String cntrTypCod;
	 @ApiModelProperty(value = "箱公司")
    private String cntrCorpCod;
	 @ApiModelProperty(value = "卸货港")
    private String trans_portCod;
	 @ApiModelProperty(value = "贝位")
    private String bayNo;
	

    

}
