package com.ssi.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 船图
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-08 15:38:37
 */
@Data
@ApiModel(value = "VmsShipsDrawing")
public class VmsShipsDrawing implements Serializable {


    @ApiModelProperty(value = "shipCod")
    private String shipCod;
    private String bayNo;
    private String deckId;
//    private String rowSeqNo;
//    private String laySeqNo;
    private String rowNo;
    private String layNo;
    private List<String> UlayNoList;
    private Integer UmaxRow;
    private List<String> DlayNoList;
    private Integer DmaxRow;

    private List<VmsShipsDrawing> U;
    private List<VmsShipsDrawing> D;
    // shipBaplie
    private List<VmsShipNcl> shipNcl;

    //新增字段， 贝位工作状态， 1：工作中；0：空闲中
    private int workStatus;
    
    
    




}
