package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author zhang liyao
 * @email
 * @date 2020-07-14 14:04:39
 */
@Getter
@Setter
@ApiModel(value = "VmsTaskJourneyInfo")
public class VmsTaskJourneyInfo {


    private String id;
    private String taskId;
    /**
     * 里程，单位：千米
     */
    private BigDecimal mile;
    /**
     * Used to calculate distance of two point.
     */
    @TableField(exist = false)
    private Double mileVal;
    private Long timeConsuming;
    private BigDecimal energyConsuming;
    /**
     * Used to calculate enertyConsuming.
     */
    @TableField(exist = false)
    private Double energyConsumingVal;
    @ApiModelProperty(value = "")
    @TableField(exist = false)
    private BigDecimal hundredEnergyConsuming = new BigDecimal(0);
    @TableField(exist = false)
    private String time;
}
