package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * 终端表
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-16 09:32:59
 */
@Getter
@Setter
@ApiModel(value = "VmsTerminal")
public class VmsTerminal {

    /**
     *
     */
    @ApiModelProperty(value = "id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 终端SIM卡号（手机号）
     */
    @ApiModelProperty(value = "终端SIM卡号（手机号）")
    private String sim;
    /**
     * 终端编号
     */
    @ApiModelProperty(value = "终端编号")
    private String terminalNum;
    /**
     * ICCID
     */
    @ApiModelProperty(value = "ICCID")
    private String iccid;
    /**
     * 终端型号
     */
    @ApiModelProperty(value = "终端型号")
    private String terminalType;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}
