package com.ssi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 车辆平台告警处理结果
 * @TableName vms_vehicle_alert_process
 */
@TableName(value ="vms_vehicle_alert_process")
@Data
public class VmsVehicleAlertProcess implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 任务id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 车辆vin
     */
    private String vin;
    /**
     * 故障码
     */
    private String faultCode;
    /**
     *
     */
    private String spn;
    /**
     *
     */
    private String fmi;
    /**
     * 解决状态 0：停止任务 1：恢复任务
     */
    private Integer resolveStatus;
    /**
     * 报警时间
     */
    private Date alarmTime;
    /**
     * 报警位置
     */
    private String alarmPosition;
    /**
     * 解决报警时间
     */
    private Date resolveAlarmTime;
    /**
     *
     */
    private Date lastModifiedDate;
    /**
     *
     */
    private Date createTime;
    /**
     * 故障名称
     */
    @TableField(exist = false)
    private String faultName;
}