package com.ssi.entity.map;
import lombok.Data;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;

@Data
@ApiModel(value = "MapDataDto")
public class MapDataDto implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String id;//图形id

    private String points;//经纬度坐标

    private String type;//图形类型 1缓冲区；2停车区;3:充电区;4:禁闭区;5:必经区

    private String number;//图形编号

    private String state;//状态。0可用；1不可用（初始状态）;2已计划;3有车
    
    private String field;//E\F
    
    private String placetype;//1桥下，2桥后，等等,1缓冲区电子围栏，2 紧急避障电子围栏
    
    private String priority;// int4	1、2、3（最小的优先级最高）
    private String bridge;//
    private Integer taskType;

    private List<Integer> craneIds;

    private String bridgeNo;//  桥吊编号
    private String name;//  桥吊编号


}
