package com.ssi.entity.vo;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;

@Getter
@Setter
@ToString
public class TransportCapacityAnalysisVo {

    private BigDecimal transportCapacity;

    private int f0to30Num;

    private int f30to50Num;

    private int f50to70Num;

    private int f70to100Num;

    public void rangeMatch(int soc){
        if(0 <= soc && soc < 30){
            f0to30Num++;
        }
        if(30 <= soc && soc < 50){
            f30to50Num++;
        }
        if(50 <= soc && soc < 70){
            f50to70Num++;
        }
        if(70 <= soc && soc < 100){
            f70to100Num++;
        }
    }
}
