package com.ssi.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Getter
@Setter
@ToString
public class VmsVehicleFaultVo extends DayHourTrend implements Serializable {
    /**
     *vin
     */
    @ApiModelProperty(value = "")
    private String vin;
    /**
     * 故障代码
     */
    @ApiModelProperty(value = "故障代码")
    private String faultCode;
    /**
     * 车辆编号
     */
    @ApiModelProperty(value = "车辆编号")
    private String vehicleNum;

    /**
     * 故障等级 1 一级 2 二级 3 三级
     */
    @ApiModelProperty(value = "故障等级")
    private String faultGrade;
    /**
     * 故障名称
     */
    private String faultName;

    /**
     * 故障类型，V：整车，I：智能，P：平台，OBU：OBU
     */
    private String faultType;

    /**
     * 故障次数
     */
    private Integer faultNum = 0;

}
