package com.ssi.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

@Getter
@Setter
@ToString
public class VmsVehicleRemoteInstructionVo {
    /**
     *id
     */
    private Long id;

    //指令类型：APP、AUTO（自动驾驶）、CONSOLE（远控台）
    @ApiModelProperty(value = "")
    private String instructionType;

    //1、（APP、远控台）接管 ；2、（APP、远控台）退出接管；3、自动驾驶状态启动
    @ApiModelProperty(value = "")
    private Byte instruction;

    @ApiModelProperty(value = "")
    private String vin;

    @ApiModelProperty(value = "车辆编号")
    private String vehicleNum;

    @ApiModelProperty(value = "操作人mac地址")
    private String mac;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "指令内容")
    private String instructionContent;

    @ApiModelProperty(value = "")
    private Byte result;

    @ApiModelProperty(value = "")
    private Date createTime;

}
