package com.ssi.mapper;

import com.ssi.entity.VmsDebugApp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 调试APP表
 * 
 * @author zhang liyao
 * @email 
 * @date 2020-09-01 08:36:06
 */
@Mapper
public interface VmsDebugAppMapper extends BaseMapper<VmsDebugApp> {

    String getKey(@Param("debugAppKey") String debugAppKey,@Param("adminDatabaseName") String adminDatabaseName);

    void updateKey(@Param("key") String key, @Param("flag") boolean flag,@Param("debugAppKey") String debugAppKey, @Param("adminDatabaseName") String adminDatabaseName);

    String getDistance(@Param("debugAppDistance") String debugAppDistance, @Param("adminDatabaseName") String adminDatabaseName);

    void updateDiStance(@Param("distance") Integer distance, @Param("flag") boolean flag, @Param("debugAppDistance") String debugAppDistance, @Param("adminDatabaseName") String adminDatabaseName);
}
