package com.ssi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ssi.entity.VmsTosOrdersAnalysis;
import com.ssi.entity.vo.TaskAnalysisVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 任务分析表
 * 
 * @author hli
 * @email
 * @date 2021-01-11 14:00:36
 */
@Mapper
public interface VmsTosOrdersAnalysisMapper extends BaseMapper<VmsTosOrdersAnalysis> {

    List<TaskAnalysisVo> getTaskTrendByDay(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);

}
