package com.ssi.mqtt;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.eclipse.paho.client.mqttv3.MqttMessage;

import java.util.HashMap;
import java.util.Map;

public class TestSSLPublish {

  public static void main(String[] args) throws Exception {
    //mqtt发送端
    MQTTPublishClient mqttClientSend = new MQTTPublishClient("ssl://10.11.10.28:1884",
        "mqttx_8b1e19a2", "C://Users/hekai/Desktop/ca_cidi.pem",
        "", "", "");
    MqttMessage message = new MqttMessage();
    JSONObject msgObj = new JSONObject();
    msgObj.put("devType", "web");
    msgObj.put("cntType", "startPusher");
    JSONObject dataObj = new JSONObject();
    dataObj.put("name", "ssiweb");
    dataObj.put("password", "ssiweb123456");
    dataObj.put("sn", "CSU100FB21080030");
    JSONObject cameraObj = new JSONObject();
    cameraObj.put("url", "rtmp://10.11.10.28/live/2_2");
    cameraObj.put("status", "enable");
    JSONArray cameraArray = new JSONArray();
    cameraArray.add(cameraObj);
    dataObj.put("camera", cameraArray);
    msgObj.put("startPusherData", dataObj);
    message.setPayload(msgObj.toJSONString().getBytes("UTF-8"));
    message.setQos(0);
    message.setRetained(false);
    System.out.println("MQTT发送消息");
    mqttClientSend.publish("ssiweb", message);
  }
}