package com.ssi.response;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AccessResponse {
    private ResponseStatus status;

    private Object data;

    @Getter
    @Setter
    public class ResponseStatus {
        private String msg;
        private String code;
        private String details;
    }

    public boolean isSuccess(){
        if("0000".equals(status.getCode())){
            return true;
        }
        return false;
    }
}
