package com.ssi.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.VmsCranePadBind;
import com.ssi.entity.VmsVehicle;
import com.ssi.entity.vo.CranePadBindVo;
import com.ssi.response.SSIPage;
import com.ssi.response.SSIResponse;

import java.util.List;
import java.util.Map;

/**
 * 桥吊pad绑定表
 *
 * @author liheng
 * @email
 * @date 2020-08-10 16:29:29
 */
public interface VmsCranePadBindService extends IService<VmsCranePadBind> {

    SSIPage queryPage(CranePadBindVo cranePadBindVo);

    SSIResponse getCraneByMac(String padMac);

    List<Map<String, Object>> getCraneOrderList(Map<String, VmsVehicle> vinMap, VmsCranePadBind vmsCranePadBind);

    void updateCraneBind(List<Integer> craneIds, String id, String number,String bridgeNo);

    void addCarineInfo(JSONObject jsonObject);
}

