package com.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.VmsDebugApp;
import com.ssi.response.SSIPage;
import com.ssi.response.SSIResponse;

import java.util.Map;

/**
 * 调试APP表
 *
 * @author zhang liyao
 * @email 
 * @date 2020-09-01 08:36:06
 */
public interface VmsDebugAppService extends IService<VmsDebugApp> {

    SSIPage queryPage(Map<String, Object> params);

    String getKey();

    void updateKey(String key);

    SSIResponse checkApp(String key, String appMac);

    void updateDiStance(Integer distance);

    Integer getDistance();
}

