package com.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.VmsFaultCode;
import com.ssi.response.SSIPage;
import com.ssi.response.SSIResponse;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.Map;

/**
 * 故障码表
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-16 13:36:49
 */
public interface VmsFaultCodeService extends IService<VmsFaultCode> {

    SSIPage queryPage(Map<String, Object> params);

    void downloadExcel(InputStream in, HttpServletResponse response, String s) throws Exception;

    SSIResponse importList(MultipartFile file);
}

