package com.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.VmsRoadDevice;
import com.ssi.entity.vo.VmsRoadDeviceVo;
import com.ssi.response.SSIPage;

import java.util.List;
import java.util.Map;

/**
 * 路测设备表
 *
 * @author zhang liyao
 * @email
 * @date 2020-07-09 13:37:13
 */
public interface VmsRoadDeviceService extends IService<VmsRoadDevice> {

    SSIPage queryPage(Map<String, Object> params);

    List<VmsRoadDeviceVo> videoPlayUrlList();

    Map getRsmInfo(Long id);
}

