package com.ssi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ssi.entity.DcvAllowGoShipLaneTxVo;
import com.ssi.entity.VmsCable;
import com.ssi.entity.VmsShipInfo;
import com.ssi.entity.VmsShipsDrawing;
import com.ssi.response.SSIPage;
import com.ssi.response.SSIResponse;

import java.util.List;
import java.util.Map;


public interface VmsShipsDrawingService extends IService<VmsShipsDrawing> {
     VmsShipsDrawing  getVmsShipsDrawing(Map<String, Object> params);
     SSIPage getVmsShipsDrawingBayNo(Map<String, Object> params);
     SSIPage queryPage(Map<String, Object> params);
     SSIResponse<?> saveShipTx(DcvAllowGoShipLaneTxVo vo) ;
     List<VmsCable> getCableList();
     List<VmsShipInfo> getShipInfoCoor();
     Map getPileInfo(String portCode);//查龙门吊在哪个堆场的视图方法
     //查询指定船在指定桥吊下作业贝位
     String getShipWorkingBay(String voyageNo, String portCode) ;
}
