package com.ssi.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ssi.entity.VmsAreaPosition;
import com.ssi.mapper.VmsAreaPositionMapper;
import com.ssi.response.SSIPage;
import com.ssi.service.VmsAreaPositionService;
import com.ssi.utils.QueryUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 区域服务实现类
 */
@Service("dragonLockAreaService")
public class VmsAreaPositionServiceImpl extends ServiceImpl<VmsAreaPositionMapper, VmsAreaPosition> implements VmsAreaPositionService {

    @Override
    public SSIPage queryPage(Map<String, Object> params) {
        IPage<VmsAreaPosition> page = this.page(
                new QueryUtils<VmsAreaPosition>().getPage(params),
                new QueryWrapper<VmsAreaPosition>()
        );

        return new SSIPage(page);
    }

}
