package com.ssi.utils;

public class GpsUtil {

  private static final double EARTH_RADIUS = 6378.137;

  private static double rad(double d) {
    return d * Math.PI / 180.0;
  }

  //    public static double getDistance(double lat1, double lng1, double lat2, double lng2) {
//        double radLat1 = rad(lat1);
//        double radLat2 = rad(lat2);
//        double a = radLat1 - radLat2;
//        double b = rad(lng1) - rad(lng2);
//        double s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) +
//                Math.cos(radLat1) * Math.cos(radLat2) * Math.pow(Math.sin(b / 2), 2)));
//        s = s * EARTH_RADIUS;
//        s = Math.round(s * 10000) / 10000;
//
//        return s;
//    }
  public static double getDistance(double latitude1, double longitude1, double latitude2,
      double longitude2) {
    // 纬度
    double lat1 = Math.toRadians(latitude1);
    double lat2 = Math.toRadians(latitude2);
    // 经度
    double lng1 = Math.toRadians(longitude1);
    double lng2 = Math.toRadians(longitude2);
    // 纬度之差
    double a = lat1 - lat2;
    // 经度之差
    double b = lng1 - lng2;
    // 计算两点距离的公式
    double s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) +
        Math.cos(lat1) * Math.cos(lat2) * Math.pow(Math.sin(b / 2), 2)));
    // 弧长乘地球半径, 返回单位: 千米
    s = s * EARTH_RADIUS;
    return s;
  }
}
