package com.ssi.utils;

public class ToolUtils {

  /**
   * 转换异常信息为字符串
   *
   * @param exceptionName 异常名称
   * @param exceptionMessage 异常信息
   * @param elements 堆栈信息
   */
  public static String stackTraceToString(String exceptionName, String exceptionMessage,
      StackTraceElement[] elements) {
    StringBuffer strbuff = new StringBuffer();
    for (StackTraceElement stet : elements) {
      strbuff.append(stet + "\n");
    }
    String message = exceptionName + ":" + exceptionMessage + "\n\t" + strbuff.toString();
    return message;
  }
}
