package com.ssi.utils.grid;

import java.io.Serializable;

public class GridFreeEvent implements Serializable {

    private String vid;
    private MercatorGrid grid;

    public GridFreeEvent(String vid, MercatorGrid grid) {
        this.vid = vid;
        this.grid = grid;
    }

    public String getVid() {
        return vid;
    }

    public MercatorGrid getGrid() {
        return grid;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("GridFreeEvent{");
        sb.append("vid='").append(vid).append('\'');
        sb.append("grid='").append(grid).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
